> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# IDR Auto Onramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/idr/initiate_onramp
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/idr/initiate_onramp:
    post:
      tags:
        - IDR Ramp
      summary: IDR Auto Onramp
      operationId: post_initiate_idr_onram
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                amount:
                  type: string
                  description: 'IDR amount to convert (amount used in to get quote). '
                wallet_address:
                  type: string
                  description: Wallet address where token will be sent to.
                stables:
                  type: string
                  description: Stablecoin to receive in USDT.
                  enum:
                    - USDT
              type: object
              required:
                - amount
                - wallet_address
                - stables
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````